%define Name	WordNet

%define major		%{version}
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		wordnet
Version:	3.0
Release:	%mkrel 25
Summary:	A lexical database for the English language
Group:		Sciences/Other
License:	MIT
URL:		https://wordnet.princeton.edu/
Source0:	https://wordnet.princeton.edu/%{version}/%{Name}-%{version}.tar.bz2
Patch0:		%{name}-2.1.libtool.patch
Patch1:		%{name}-3.0.fhs.patch
Patch2:		%{name}-CVE-2008-2149_3908.patch
# Kludge (not a fix) for Tcl 8.6 (TIP #330, interp->result) - AdamW
# 2008/12
Patch3:		wordnet-3.0-tcl86.patch
Patch4:		wordnet_autoconf.patch
Patch5:		wordnet_wformat.patch
Requires:       %{libname} = %{version}
BuildRequires:	tcl-devel
BuildRequires:	tk-devel

%description
WordNet is an online lexical reference system whose design is inspired by
current psycholinguistic theories of human lexical memory. English nouns,
verbs, adjectives and adverbs are organized into synonym sets, each
representing one underlying lexical concept. Different relations link the
synonym sets.


%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run %{name}.


%package -n %{develname}
Summary:        Development header files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname wordnet 3.0 -d}

%description -n %{develname}
Libraries, include files and other resources you can use to develop.


%prep
%setup -q -n %{Name}-%{version}
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1 -b .tcl86
%patch -P 4 -p1
%patch -P 5 -p1
autoreconf -fi

%build
%configure
make

%install
%makeinstall
chmod 644 %{buildroot}%{_libdir}/libWN.la

mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/mageia-wordnet.desktop << EOF
[Desktop Entry]
Type=Application
Name=WordNet
Comment=Graphical Interface for WordNet
Icon=accessories-dictionary
Exec=wnb
Categories=Office;X-Mageia-Office-Accessories;
EOF

%files
%doc AUTHORS COPYING INSTALL ChangeLog README doc/{html,ps,pdf}
%{_bindir}/*
%{_datadir}/applications/mageia-wordnet.desktop
%{_datadir}/%{Name}
%{_mandir}/*/*

%files -n %{libname}
%{_libdir}/libWN-%{version}.so

%files -n %{develname}
%{_libdir}/libWN.so
%{_libdir}/libWN.a
%{_includedir}/*


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 3.0-25.mga10
+ Revision: 2128285
- Rebuild for patchN deprecation

* Tue Mar 29 2022 umeabot <umeabot> 3.0-24.mga9
+ Revision: 1832014
- Mageia 9 Mass Rebuild

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 3.0-23.mga9
+ Revision: 1790026
- fix files list

* Fri Feb 14 2020 umeabot <umeabot> 3.0-22.mga8
+ Revision: 1518234
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.0-21.mga7
+ Revision: 1301714
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 3.0-20.mga6
+ Revision: 959184
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 3.0-19.mga6
+ Revision: 886317
- rebuild for new tcl/tk 8.6.4

* Wed Oct 15 2014 umeabot <umeabot> 3.0-18.mga5
+ Revision: 746817
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0-17.mga5
+ Revision: 690363
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.0-16.mga4
+ Revision: 520119
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.0-15.mga3
+ Revision: 385832
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 3.0-14.mga3
+ Revision: 324872
- rebuild for Mga3 Beta1
- clean .spec

* Wed Jul 06 2011 fwang <fwang> 3.0-13.mga2
+ Revision: 119161
- rebuild for new tcl

* Thu Feb 17 2011 mikala <mikala> 3.0-12.mga1
+ Revision: 52837
- Remove BuildRoot
- Remove X11-devel BR (not used)
- Use mageia name instead of mandriva for desktop file
- imported package wordnet

